List fleet inspections
GET/fleets
Returns only fleet inspections owned by the authenticated insurer. The API allows 60 requests per minute for each authenticated account.
Request
Query Parameters
search string
Search the fleet name. Ignored when filter is all.
per_page integer
Possible values: >= 1
Default value: 10
Number of fleets per page. Ignored when filter is all.
filter string
Possible values: [all]
Set to all to return an unpaginated minimal collection.
Responses
- 200
- 401
- 429
Fleet inspections returned successfully. Paginated requests also include links and meta.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- Array [
- ]
- ]
data object[]required
uid string
Fleet ULID used in fleet API URLs.
id string
Alias of uid.
inspection_type string
Possible values: [personal, corporate]
name string
company_name string
company_phone_no string
company_email email
status string
payment_status string
policy_start_date datenullable
policy_end_date datenullable
meta object[]
Uploaded fleet documents. Returned by the get operation.
type string
url uri
file string
insurer object
Returned by the get operation.
id integer
code string
has_policies integer
Number of policies attached to the fleet.
vehicles_count integer
created_at date-time
inspection_link uri
links objectnullable
first string
last string
prev stringnullable
next stringnullable
meta objectnullable
current_page integer
from integernullable
last_page integer
per_page integer
to integernullable
total integer
{
"data": [
{
"uid": "01JZ7M5BCW8T2W4QWR5SN1MMBQ",
"id": "01JZ7M5BCW8T2W4QWR5SN1MMBQ",
"inspection_type": "personal",
"name": "Delivery Fleet",
"company_name": "Example Logistics Limited",
"company_phone_no": "08012345678",
"company_email": "fleet@example.com",
"status": "active",
"payment_status": "unpaid",
"policy_start_date": "2026-08-03",
"policy_end_date": "2026-08-03",
"meta": [
{
"type": "string",
"url": "string",
"file": "string"
}
],
"insurer": {
"id": 0,
"code": "string"
},
"has_policies": 0,
"vehicles_count": 0,
"created_at": "2026-08-03T11:01:42.091Z",
"inspection_link": "string"
}
],
"links": {
"first": "string",
"last": "string",
"prev": "string",
"next": "string"
},
"meta": {
"current_page": 0,
"from": 0,
"last_page": 0,
"per_page": 0,
"to": 0,
"total": 0
}
}
Unauthenticated - no valid API key was provided.
- application/json
- Schema
- Example (from schema)
Schema
data string
{
"data": "Invalid Token"
}
Too many requests.
Loading...